stages:
  - build

.template:
  stage: build
  image: docker:20
  services:
    - docker:20-dind
  before_script:
    # install packer
    - wget https://releases.hashicorp.com/packer/1.8.0/packer_1.8.0_linux_amd64.zip
    - unzip packer_1.8.0_linux_amd64.zip
    - chmod +x packer
    # install ansible
    - apk add ansible
    # login gitlab registry
    - docker login -u gitlab-ci-token -p ${CI_BUILD_TOKEN} registry.gitlab.com

build_image:
  extends: .template
  script:
    - ./packer build -var "acs_version_suffix=-${CI_COMMIT_SHORT_SHA}" build.pkr.hcl

build_stable_image:
  extends: .template
  script:
    - ./packer build -var "acs_version=${CI_COMMIT_TAG}" -var "acs_version_suffix=" build.pkr.hcl
  only:
    - tags
